| IDA SDK

Functions
Functions: examine data bits
Flags structure » Instruction/Data operands

## Detailed Description

## Functions
constexpr flags64_t idaapi | code_flag (void)
| FF_CODE
constexpr flags64_t idaapi | byte_flag (void)
| Get a flags64_t representing a byte.
constexpr flags64_t idaapi | word_flag (void)
| Get a flags64_t representing a word.
constexpr flags64_t idaapi | dword_flag (void)
| Get a flags64_t representing a double word.
constexpr flags64_t idaapi | qword_flag (void)
| Get a flags64_t representing a quad word.
constexpr flags64_t idaapi | oword_flag (void)
| Get a flags64_t representing a octaword.
constexpr flags64_t idaapi | yword_flag (void)
| Get a flags64_t representing a ymm word.
constexpr flags64_t idaapi | zword_flag (void)
| Get a flags64_t representing a zmm word.
constexpr flags64_t idaapi | tbyte_flag (void)
| Get a flags64_t representing a tbyte.
constexpr flags64_t idaapi | strlit_flag (void)
| Get a flags64_t representing a string literal.
constexpr flags64_t idaapi | stru_flag (void)
| Get a flags64_t representing a struct.
constexpr flags64_t idaapi | cust_flag (void)
| Get a flags64_t representing custom type data.
constexpr flags64_t idaapi | align_flag (void)
| Get a flags64_t representing an alignment directive.
constexpr flags64_t idaapi | float_flag (void)
| Get a flags64_t representing a float.
constexpr flags64_t idaapi | double_flag (void)
| Get a flags64_t representing a double.
constexpr flags64_t idaapi | packreal_flag (void)
| Get a flags64_t representing a packed decimal real.
THREAD_SAFE bool idaapi | is_byte (flags64_t F)
| FF_BYTE
THREAD_SAFE bool idaapi | is_word (flags64_t F)
| FF_WORD
THREAD_SAFE bool idaapi | is_dword (flags64_t F)
| FF_DWORD
THREAD_SAFE bool idaapi | is_qword (flags64_t F)
| FF_QWORD
THREAD_SAFE bool idaapi | is_oword (flags64_t F)
| FF_OWORD
THREAD_SAFE bool idaapi | is_yword (flags64_t F)
| FF_YWORD
THREAD_SAFE bool idaapi | is_zword (flags64_t F)
| FF_ZWORD
THREAD_SAFE bool idaapi | is_tbyte (flags64_t F)
| FF_TBYTE
THREAD_SAFE bool idaapi | is_float (flags64_t F)
| FF_FLOAT
THREAD_SAFE bool idaapi | is_double (flags64_t F)
| FF_DOUBLE
THREAD_SAFE bool idaapi | is_pack_real (flags64_t F)
| FF_PACKREAL
THREAD_SAFE bool idaapi | is_strlit (flags64_t F)
| FF_STRLIT
THREAD_SAFE bool idaapi | is_struct (flags64_t F)
| FF_STRUCT
THREAD_SAFE bool idaapi | is_align (flags64_t F)
| FF_ALIGN
THREAD_SAFE bool idaapi | is_custom (flags64_t F)
| FF_CUSTOM
THREAD_SAFE bool idaapi | f_is_byte (flags64_t F, void *)
| See is_byte()
THREAD_SAFE bool idaapi | f_is_word (flags64_t F, void *)
| See is_word()
THREAD_SAFE bool idaapi | f_is_dword (flags64_t F, void *)
| See is_dword()
THREAD_SAFE bool idaapi | f_is_qword (flags64_t F, void *)
| See is_qword()
THREAD_SAFE bool idaapi | f_is_oword (flags64_t F, void *)
| See is_oword()
THREAD_SAFE bool idaapi | f_is_yword (flags64_t F, void *)
| See is_yword()
THREAD_SAFE bool idaapi | f_is_tbyte (flags64_t F, void *)
| See is_tbyte()
THREAD_SAFE bool idaapi | f_is_float (flags64_t F, void *)
| See is_float()
THREAD_SAFE bool idaapi | f_is_double (flags64_t F, void *)
| See is_double()
THREAD_SAFE bool idaapi | f_is_pack_real (flags64_t F, void *)
| See is_pack_real()
THREAD_SAFE bool idaapi | f_is_strlit (flags64_t F, void *)
| See is_strlit()
THREAD_SAFE bool idaapi | f_is_struct (flags64_t F, void *)
| See is_struct()
THREAD_SAFE bool idaapi | f_is_align (flags64_t F, void *)
| See is_align()
THREAD_SAFE bool idaapi | f_is_custom (flags64_t F, void *)
| See is_custom()
THREAD_SAFE bool idaapi | is_same_data_type (flags64_t F1, flags64_t F2)
| Do the given flags specify the same data type?
idaman flags64_t ida_export | get_flags_by_size (size_t size)
| Get flags from size (in bytes). More...

## Function Documentation

## ◆ get_flags_by_size()

idaman flags64_t ida_export get_flags_by_size | ( | size_t | size | ) |

Get flags from size (in bytes).

Supported sizes: 1, 2, 4, 8, 16, 32. For other sizes returns 0